classification
Title: Add MIME type for Web App Manifest
Type: enhancement Stage: resolved
Components: Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: filips123, jaraco
Priority: normal Keywords: patch

Created on 2019-06-16 10:41 by filips123, last changed 2019-09-11 14:22 by jaraco. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14199 merged filips123, 2019-06-18 12:09
PR 15946 merged miss-islington, 2019-09-11 13:32
Messages (4)
msg345741 - (view) Author: Filip Š (filips123) * Date: 2019-06-16 10:41
Web App Manifest ( https://w3c.github.io/manifest/ ) is "JSON-based manifest file that provides developers with a centralized place to put metadata associated with a web application".

Although it is not required, it is recommended by W3C ( https://w3c.github.io/manifest/#media-type-registration ) that manifest uses `application/manifest+json` media type and `.webmanifest` extension.

This should also be used by Python's mimetypes module.


I can submit PR for this, but I don't know if it should be added to `types_map` or `common_types`. It is currently not registered with IANA, but it is "for community review and will be submitted to the IESG for review, approval, and registration with IANA".

If it is not strictly needed for MIME type that it is registered with IANA, I will add it to `types_map`. If it is, I will add it `common_types` and later move it to `types_map` when it will be registered. What should I choose?
msg351867 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2019-09-11 13:32
New changeset 4b41745b3c65ef4807cd1108dce12d3e0c173f20 by Jason R. Coombs (Filip Š) in branch 'master':
bpo-37305: add MIME type for Web App Manifest (#14199)
https://github.com/python/cpython/commit/4b41745b3c65ef4807cd1108dce12d3e0c173f20
msg351893 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2019-09-11 14:13
New changeset 35d0934040223f1360b2b343005fcc8ebbc65c1a by Jason R. Coombs (Miss Islington (bot)) in branch '3.8':
bpo-37305: add MIME type for Web App Manifest (GH-14199) (#15946)
https://github.com/python/cpython/commit/35d0934040223f1360b2b343005fcc8ebbc65c1a
msg351899 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2019-09-11 14:22
Thanks for the contrib.
History
Date User Action Args
2019-09-11 14:22:25jaracosetstatus: open -> closed
resolution: fixed
messages: + msg351899

stage: patch review -> resolved
2019-09-11 14:13:34jaracosetmessages: + msg351893
2019-09-11 13:32:19miss-islingtonsetpull_requests: + pull_request15580
2019-09-11 13:32:07jaracosetnosy: + jaraco
messages: + msg351867
2019-09-11 13:08:09jaracosetversions: + Python 3.8, Python 3.9
2019-06-18 12:09:44filips123setkeywords: + patch
stage: patch review
pull_requests: + pull_request14036
2019-06-16 10:41:01filips123create